# App runner
{ pkgs, ... }:

{
  home.packages = with pkgs; [
    rofi-wayland
    rofimoji
    wl-clipboard
  ];

  home.file = {
    ".config/rofi/config.rasi".source = ./config.rasi;
    ".config/rofi/scripts/rofimoji".source = "${pkgs.rofimoji}/bin/rofimoji";
    ".local/share/rofi/themes/catppuccin-mocha.rasi".source = ./catppuccin-mocha.rasi;
    ".config/rofimoji.rc".source = ./rofimoji.rc;
  };

  # TODO Use programs.rofi. Theme is not applied correctly
  #  programs.rofi = {
  #    enable = true;
  #    theme = lib.mkDefault "catppuccin-mocha";
  #    extraConfig = {
  #      modi = "run,drun,window";
  #      icon-theme = "Oranchelo";
  #      show-icons = true;
  #      terminal = "kitty";
  #      drun-display-format = "{icon} {name}";
  #      disable-history = false;
  #      hide-scrollbar = true;
  #      display-drun = "   Apps ";
  #      display-run = "   Run ";
  #      display-window = " 󰕰  Window";
  #      display-Network = " 󰤨  Network";
  #      sidebar-mode = true;
  #    };
  #  };
}
